#pragma once

#include <string>

#include <imgui.h>

namespace game::util::imgui
{
  struct InputStringResult
  {
    bool changed{};
    bool committed{};
  };

  bool input_string(const char* label, std::string& value, ImGuiInputTextFlags flags = 0);
  bool input_string_multiline(const char* label, std::string& value, const ImVec2& size = ImVec2(0, 0),
                              ImGuiInputTextFlags flags = 0);
  InputStringResult input_string_multiline_result(const char* label, std::string& value,
                                                  const ImVec2& size = ImVec2(0, 0),
                                                  ImGuiInputTextFlags flags = 0);
}
